Description

In this ticket we will discuss about how to integrate RShiny with D4Science: the purpose, the partners' requirements and the

limitations of the available technology.

In the end we should come with a proposed architecture and solution.

History

#1 - Oct 21, 2015 04:00 PM - Gianpaolo Coro

- Status changed from New to In Progress

- % Done changed from 0 to 10

RShiny is a web application framework for R. It can transform R analyses into interactive web applications. It is fully programmed in R and does not

require knowledge on HTML, CSS, or JavaScript.

A set of examples of interfaces created using RShiny is here: http://shiny.rstudio.com/gallery/

A Shiny application, executed in the RStudio IDE, starts a service on a developer's machine, which "answers" via http and makes a interactive web

application available through the web browser.

A server version of RShiny exists too and can host serveral applications.

In the context of BlueCommons, and according to the discussions at the kick-off meeting I see at least two possible ways to meet IRD and FAO

requirements:

1. develop a generic RShiny application to be invoked by TabMan and/or StatMan, which accepts a table or a csv file as input and displays a

number of predefined interactive charts. For example, TabMan could invoke this application passing information about the user and the table/file

to visualise. The drawback is to have a predefined and generic set of charts and a web application external to TabMan,

2. change the StatMan interface to RShiny and produce Shiny charts for the outputs after each computation. This would require longer time and

dedicated effort but would be more effective.

Other suggestions are welcome.

#2 - Oct 21, 2015 08:48 PM - Pasquale Pagano

The first option is feasible and could be investigated.

The second one seems to be too costly since it will require a large dedicated effort, effort that we have not planned. 

#3 - Oct 22, 2015 12:36 PM - Giancarlo Panichi

Seems that the support for Secure Access: LDAP, GoogleAuth, SSL ...

is only present in version Shiny Server PRO. Is it true?

#4 - Jan 07, 2016 11:36 AM - Gianpaolo Coro

- Status changed from In Progress to Closed

This issue will be managed in the context of ticket #1825
